
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Spring的优秀工具类盘点，第2部分: 特殊字符转义和方法入参检测工具类 / iVAN</title>

    <meta name="description" content="Spring的优秀工具类盘点，第2部分: 特殊字符转义和方法入参检测工具类 Spring 不但提供了一个功能全面的应用开发框架,本身还拥有众多可以在程序编写时直接使用的工具类,您不但可以在 Spring 应用中使用这些工具类,也可以在其它的应用中使用,这些工具类中的大部分是可以在脱离 Spring 框架时使用的.了解 Spring 中有哪些好用的工具类并在程序编写时适当使用,将有助于提高开发效率.增强代码质量. 在这个分为两部分的文章中,我们将从众多的 Spring 工具类中遴选出那些好用的工具类介绍给大家.第 1 部分 介绍了与文件资源操作和 Web 相关的工具类.在">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Spring的优秀工具类盘点，第2部分: 特殊字符转义和方法入参检测工具类</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Spring 不但提供了一个功能全面的应用开发框架，本身还拥有众多可以在程序编写时直接使用的工具类，您不但可以在 Spring 应用中使用这些工具类，也可以在其它的应用中使用，这些工具类中的大部分是可以在脱离 Spring 框架时使用的。了解 Spring 中有哪些好用的工具类并在程序编写时适当使用，将有助于提高开发效率、增强代码质量。</p>
<p>在这个分为两部分的文章中，我们将从众多的 Spring 工具类中遴选出那些好用的工具类介绍给大家。第 1 部分 介绍了与文件资源操作和 Web 相关的工具类。在第 2 部分中将介绍特殊字符转义和方法入参检测工具类。</p>
<p>特殊字符转义</p>
<p>由于 Web 应用程序需要联合使用到多种语言，每种语言都包含一些特殊的字符，对于动态语言或标签式的语言而言，如果需要动态构造语言的内容时，一个我们经常会碰到的问题就是特殊字符转义的问题。下面是 Web 开发者最常面对需要转义的特殊字符类型：</p>
<p>HTML 特殊字符；</p>
<p>JavaScript 特殊字符；</p>
<p>SQL 特殊字符；</p>
<p>如果不对这些特殊字符进行转义处理，则不但可能破坏文档结构，还可以引发潜在的安全问题。Spring 为 HTML 和 JavaScript 特殊字符提供了转义操作工具类，它们分别是 HtmlUtils 和 JavaScriptUtils。</p>
<p>HTML 特殊字符转义</p>
<p>HTML 中 &lt;，&gt;，&amp; 等字符有特殊含义，它们是 HTML 语言的保留字，因此不能直接使用。使用这些个字符时，应使用它们的转义序列：</p>
<p>&amp;：&amp;amp;</p>
<p>" ：&amp;quot;</p>
<p>&lt; ：&amp;lt;</p>
<p>&gt; ：&amp;gt;</p>
<p>由于 HTML 网页本身就是一个文本型结构化文档，如果直接将这些包含了 HTML 特殊字符的内容输出到网页中，极有可能破坏整个 HTML 文档的结构。所以，一般情况下需要对动态数据进行转义处理，使用转义序列表示 HTML 特殊字符。下面的 JSP 网页将一些变量动态输出到 HTML 网页中：</p>
<p>清单 1. 未进行 HTML 特殊字符转义处理网页</p>
<p><code>&lt;%@ page language="java" contentType="text/html; charset=utf-8"%&gt;<br />
&lt;%!<br />
　 String userName = "&lt;/td&gt;&lt;tr&gt;&lt;/table&gt;";<br />
　 String address = " \" type=\"button";<br />
%&gt;<br />
&lt;table border="1"&gt;<br />
　 &lt;tr&gt;<br />
　　 &lt;td&gt;姓名：&lt;/td&gt;&lt;td&gt;&lt;%=userName%&gt;&lt;/td&gt; ①<br />
　 &lt;/tr&gt;<br />
　 &lt;tr&gt;<br />
　　 &lt;td&gt;年龄：&lt;/td&gt;&lt;td&gt;28&lt;/td&gt;<br />
　 &lt;/tr&gt;<br />
&lt;/table&gt;<br />
&lt;input value="&lt;%=address%&gt;"　type="text" /&gt; ②</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 04:08:46</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b7%a5%e5%85%b7/" title="工具">工具</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/%e8%bd%ac%e4%b9%89/" title="转义">转义</a>, <a href="https://www.iamivan.net/tag/spring/" title="spring">spring</a>, <a href="https://www.iamivan.net/tag/%e7%89%b9%e6%ae%8a/" title="特殊">特殊</a>, <a href="https://www.iamivan.net/tag/%e7%89%b9%e6%ae%8a%e5%ad%97%e7%ac%a6/" title="特殊字符">特殊字符</a>, <a href="https://www.iamivan.net/tag/htmlutil/" title="htmlutil">htmlutil</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86%e7%89%b9%e6%ae%8a%e5%ad%97%e7%ac%a6/" title="处理特殊字符">处理特殊字符</a>, <a href="https://www.iamivan.net/tag/%e8%bd%ac%e4%b9%89%e5%ad%97%e7%ac%a6/" title="转义字符">转义字符</a>, <a href="https://www.iamivan.net/tag/nvarcharsql%e7%89%b9%e6%ae%8a%e5%ad%97%e7%ac%a6/" title="nvarcharsql特殊字符">nvarcharsql特殊字符</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e8%bd%ac%e4%b9%89/" title="字符转义">字符转义</a>, <a href="https://www.iamivan.net/tag/%e7%89%b9%e6%ae%8a%e5%ad%97%e7%ac%a6%e8%bd%ac%e4%b9%89/" title="特殊字符转义">特殊字符转义</a>, <a href="https://www.iamivan.net/tag/%e8%af%bb%e5%8f%96main%e5%91%bd%e4%bb%a4%e5%85%a5%e5%8f%82/" title="读取main命令入参">读取main命令入参</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Spring的优秀工具类盘点，第2部分: 特殊字符转义和方法入参检测工具类的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx9aOb.html" rel="bookmark">Spring的优秀工具类盘点，第1部分&colon; 文件资源操作和Web相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring 不但提供了一个功能全面的应用开发框架,本身还拥有众多可以在程序编写时直接使用的工具类,您不但可以在 Spring 应用中使用这些工具类,也可以在其它的应用中使用,这些工具类中的大部分是可以在脱离 Spring 框架时使用的.了解 Spring 中有哪些好用的工具类并在程序编写时适当使用,将有助于提高开发效率.增强代码质量. 在这个分为两部分的文章中,我们将从众多的 Spring 工具类中遴选出那些好用的工具类介绍给大家.第 1 部分将介绍与文件资源操作和 Web 相关的工具类.在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxoexmb.html" rel="bookmark">淘宝发布《淘宝网生鲜类预售商品发布管理公告》，必须使用官方预售工具进行发布</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				9月10日消息,据获悉,日前淘宝网发布&lt;淘宝网生鲜类预售商品发布管理公告&gt;,公告称水产肉类/新鲜蔬果/熟食类目预售商品必须使用淘宝官方预售工具进行发布,如果不符合要求,首次下架商品,再次删除商品.该公告9月9日起生效. 我们连线唯新食品电商负责人王俊桦,了解了淘宝这一规则产生的原因.王俊桦称,淘宝服装.家纺类目后台一直有&quot;预售&quot;功能,但生鲜类目是没有的.实际上,生鲜类目对于&quot;预售&quot;的需求很大,因为新鲜产品.熟食类对于物流.仓储的管理要求更高,如果可以对于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBJ9lb.html" rel="bookmark">优秀人才的盘点就是资产的盘点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刘琼 &quot;对公司优秀人才的盘点就是资产的盘点,你们公司有多少钱,实际上就是有多少人.&quot;马云曾如此描述公司人才的重要性. 实际上,虽然BAT三家企业的人才战略与高管结构各具特色,但是在选择人才方面,更重要的是出于&quot;是否适合自己发展战略和目标的要求&quot;,任仕达(中国)IT行业业务经理张晶晶发现,三家企业虽然各具特色,但最近体现出的一个相同的地方在于,原先业务领域都集中在中国或者华人圈,但现在都在对外扩张. 比如微信如今有上亿的海外用户,阿里巴巴也在更多拓展海外业务,百度的深			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oKX6b.html" rel="bookmark">Android内存泄露总结（附内存检测工具）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 中的内存分配 主要是分三块: 静态储存区:编译时就分配好,在程序整个运行期间都存在.它主要存放静态数据和常量. 栈区:当方法执行时,会在栈区内存中创建方法体内部的局部变量,方法结束后自动释放内存. 堆区:通常存放 new 出来的对象.由 Java 垃圾回收器回收. 栈与堆的区别 栈内存用来存放局部变量和函数参数等.它是先进后出的队列,进出一一对应,不产生碎片,运行效率稳定高.当超过变量的作用域后,该变量也就无效了,分配给它的内存空间也将被释放掉,该内存空间可以被重新使用. 堆内存用于存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Ry8p.html" rel="bookmark">Android 代码JIT友好度检测工具&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用周末的时间,写了一个检测Android代码JIT友好度的工具,取个名字为DroidJitChecker.希望可以帮助大家快速发现有坏味道的代码,并且及时修正. 名词解释 JIT:JIT全称Just-in-time compilation.意思为实时编译,是JVM中一种优化技术,对频繁调用并且符合条件的方法进行优化将字节码翻译成机器代码,提升执行效率. 方法大小:每个方法的方法体实现都可用字节作为单位进行衡量,通常情况下,方法体越大,其方法大小也越大. JIT友好:通常方法体实现越小越简单,越			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRD5YGz.html" rel="bookmark">Cocos开发中性能优化工具介绍之Visual Studio内存泄漏检测工具&mdash;&mdash;Visual Leak Detector</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				那么在Windows下有什么好的内存泄漏检测工具呢微软提供Visual Studio开发工具本身没有什么太好的内存泄漏检测功能我们可以使用第三方工具Visual Leak Detector以下简称vld. vld工具是VC++环境下一款小巧易用.免费开源的内存泄漏检测工具vld可以显示导致内存泄漏的完整内存分配调用堆栈.vld的检测报告能够对每个内存泄漏点提供完整的堆栈跟踪并且包含其源文件及行号信息. 安装过程是先在到地址http://vld.codeplex.com/下载vld安装文件然后进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkrAlM.html" rel="bookmark">数据库缓存系统Memcached出现高危漏洞 绿盟科技发布检测工具、分析及防护方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016年10月31日(当地时间),思科Talos团队在其 官网上 公布了三个Memcached服务器的整数溢出漏洞.绿盟科技随即发布威胁预警通告,通告将该漏洞定义为高级,这意味着影响范围比较广,危害严重,利用难度较低,绿盟科技将实施7*24小时内部应急跟踪,24小时内完成技术分析.产品升级和防护方案. Update:绿盟科技已经更新此文档,Memcached漏洞分析及防护方案如下: 2016年10月31日(当地时间),思科Talos团队在其官网 http://www.talosintellig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bol1YjM.html" rel="bookmark">C&plus;&plus;内存泄漏及检测工具详解&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们需要知道程序有没有内存泄露,然后定位到底是哪行代码出现内存泄露了,这样才能将其修复. 最简单的方法当然是借助于专业的检测工具,比较有名如BoundsCheck,功能非常强大,相信做C++开发的人都离不开它.此外就是不使用任何工具,而是自己来实现对内存泄露的监控,分如下两种情况: 一. 在 MFC 中检测内存泄漏 假如是用MFC的程序的话,很简单.默认的就有内存泄露检测的功能. 我们用VS2005生成了一个MFC的对话框的程序,发现他可以自动的检测内存泄露.不用我们做任何特殊的操作. 仔细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26L6ob.html" rel="bookmark">代码生成工具之数据库表及字段名称转义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇随笔&lt;代码生成工具之界面快速生成&gt;中介绍过了代码生成工具Database2Sharp是如何快速生成所需的Web界面以及各种Winform界面,其中包括生成即可运行的Web界面效果,Winform布局信息的生成.这些看似很简单的界面元素生成,其实是需要丰富的数据库元数据信息作为基础的,而且对不同的数据库处理要有所不同.本文介绍不同数据库之间元数据的处理差别,以及如何代码生成工具Database2Sharp如何兼容处理这些问题的. 1.常规的数据库表.字段名称的转义 例如,我们需要获取表的别			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6nDAM.html" rel="bookmark" class="title">验证email地址是否合法完整实例</a>
					<div>
						1.//index.html &lt;html&gt; &lt;head&gt; &lt;title&gt;email地址是否合法 index.html&lt;/title&gt; &lt;Scrip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b36RNz.html" rel="bookmark" class="title">在Visual Studio&period;NET中使用自定义插件最大化您的生产力&lpar;一&rpar;</a>
					<div>
						visual|最大化 这篇文章假设您已经熟悉C#, Visual Basic .NET和CLR 难度程度 1 2 3 摘要 对于开发者来说,不管多么强大的集成开发环境(IDE)都需要具有自定义插件的功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxG4Rb.html" rel="bookmark" class="title">还我们一个诚信、规范的SEO环境</a>
					<div>
						SEO行业目前可谓是&quot;鱼龙混杂&quot;,正所谓林子大了,什么鸟都有.没办法啊,人民币的诱惑力实在太大了. 不过笔者奉劝一句:SEO在别人看来也许是一种高深莫测的技术,但做SEO的朋友们都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo607Dz.html" rel="bookmark" class="title">改进NetBeans RCP应用程序的构建方式：OpenBlueSky已发布</a>
					<div>
						经过一番设计之后,我的 ant 工具已经很好用了,对 NetBeans RCP 项目的构建方式有了一点儿改进. 我在 上一篇博客文章 中提到,我认为分发 NetBeans RCP 项目源的好方法绑所使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEDkPb.html" rel="bookmark" class="title">Win8应用程序出现问题的解决方法</a>
					<div>
						Win8应用程序出现问题的解决方法: 更新应用程序 使应用保持最新是确保正常工作的一种方法. 只要您的应用有更新版本,您便可在应用商店看见通知. 若要更新应用,您可点击或单击该通知或者按照以下步骤操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AJLBp.html" rel="bookmark" class="title">win8软件推荐换一种角度来玩转应用</a>
					<div>
						不一样的角度看微博:品微 品微是Windows 8上一款全功能第三方新浪微博客户端,支持分组浏览.竖屏浏览.加速响应等功能,还能在动态磁贴和锁屏界面进行提醒. 品微 品微 品微 软件功能: 支持新浪微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKxKjp.html" rel="bookmark" class="title">Foxmail如何查找指定邮件</a>
					<div>
						  Foxmail具有较强的邮件查找功能,它能在某个邮箱中查找出包含用户指定的信息的所有邮件,也可以在一个邮件中查找指定的文本. 选择好相应的邮箱,然后执行&quot;编辑&quot;菜单的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrGk9M.html" rel="bookmark" class="title">java-JPA 2&period;0 requires Java 1&period;5 or newer&period;升级了jdk，还是出现错误</a>
					<div>
						问题描述 JPA 2.0 requires Java 1.5 or newer.升级了jdk,还是出现错误 创建jpa project时出现错误JPA 2.0 requires Java 1.5 or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr12KM.html" rel="bookmark" class="title">是谁让我们变成了没有隐私的&OpenCurlyDoubleQuote;透明人&rdquo;？</a>
					<div>
						摘要: 记者 涂铭 李京华 北京报道 在中关村工作的张先生车险5月底到期,就在之前的一个多月里,他每天都能接到七八个推销电话车险的电话.让张先生不解的是,这些来自不同保险公司的 记者 涂铭 李京华 北 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NEJRz.html" rel="bookmark" class="title">索引设计的几个常用算法</a>
					<div>
						B+.B- Tree(mysql,oracle,mongodb) 主要用在关系数据库的索引中,如oracle,mysql innodb:mongodb中的索引也是B-树实现的:还有HBase中HFil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR4r6z.html" rel="bookmark" class="title">利用SQLyogEnt对Mysql数据库进行转移</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 如果你的PHP网站换了空间,必定要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrZ5QM.html" rel="bookmark" class="title">（DirectX系列07）DirectShow MFC下Filter编码分析</a>
					<div>
						    MFC下Filter的编写和Win32下Filter的编写极其相似,但又存在很多不同点,在Win32中需要去实现CreateInstance函数,而在MFC直接用NEW 动态产生,不过这并不代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7g9Jp.html" rel="bookmark" class="title">django-请教各位朋友们，为什么html中的video标签不能播放时长大于5s的视频？</a>
					<div>
						问题描述 请教各位朋友们,为什么html中的video标签不能播放时长大于5s的视频? 各位朋友们好,我用django自己建了一个网站,以mod_wsgi+apache的方式部署在阿里云的ubuntu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0NeVM.html" rel="bookmark" class="title">校园网-插上学校的网线，访问不了内网，可以登录外网</a>
					<div>
						问题描述 插上学校的网线,访问不了内网,可以登录外网 我插上学校的网线,使用学校的校园网登录客户端,可以访问外网,但是登录不了内网 真是头疼,外网断了才能进入内网! 解决方案 内网需要身份认证,校园网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rWj0z.html" rel="bookmark" class="title">深耕流媒体一体化解决方案，云帆加速CDN获工信部牌照</a>
					<div>
						9月6日消息,工业和信息化部发放第七批CDN(Content Delivery Network,即内容分发网络)牌照,深圳市云帆加速科技有限公司牌照. CDN能够有效提升互联网内容的传输速度及稳定性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydm2vb.html" rel="bookmark" class="title">关于opencv3&period;0版本图像增强中的对比度以及亮度的问题</a>
					<div>
						问题描述 关于opencv3.0版本图像增强中的对比度以及亮度的问题 请问.opencv3.0版本的增强对比度除了直方图变换,还有哪些现成的函数吗?还有就是他有没有增强亮度的函数? 解决方案 http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj2XdM.html" rel="bookmark" class="title">net framework-程序安装完毕，开启win7服务，调用&period;net报错</a>
					<div>
						问题描述 程序安装完毕,开启win7服务,调用.net报错 默认安装.NET Framework 3.5. 默认安装Sybase ODBC驱动程序. 数据交换服务注册:在命令行下,切换到数据交换程序的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRGgZp.html" rel="bookmark" class="title">linux中用ss-manyuser和ss-panel搭建shadowsocks教程</a>
					<div>
						II. 安装 mkdir /data cd /data git clone https://github.com/mengskysama/shadowsocks.git  backend git cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rnr5p.html" rel="bookmark" class="title">《C&plus;&plus; AMP：用Visual C&plus;&plus;加速大规模并行计算》&mdash;&mdash;3&period;7　使用restrict&lpar;amp&rpar;标记的函数</a>
					<div>
						3.7 使用restrict(amp)标记的函数 C++ AMP:用Visual C++加速大规模并行计算 要想成功地使用restrict(amp)编译,函数必须遵守许多规则.头一条规则我们在3.6节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqD1Qz.html" rel="bookmark" class="title">传度假房屋租赁网站Airbnb获1&period;5亿美元投资</a>
					<div>
						新浪科技讯 北京时间10月20日上午消息,据国外媒体报道,知情人士透露,PayPal联合创始人.Facebook第一位外部投资者彼得·赛尔(Peter Thiel)即将以25亿美元的估值,向度假房屋租 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBAAKM.html" rel="bookmark" class="title">面对云锁定的抉择：OpenStack还是专有云平台&quest;</a>
					<div>
						企业应选择厂商专有的云计算解决方案,还是选择有着更广阔基础的OpenStack解决方案,这是目前云计算领域的重大争论主题之一. 目前已加入OpenStack基金会的厂商很多,大家在共同监管着这一云倡议 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwkBmM.html" rel="bookmark" class="title">2016半年盘点：最酷的10家物联网初创公司</a>
					<div>
						物联网是一个蓬勃发展的行业,充满了迷人的产品和智能初创公司.甚至最大的IT公司也在物联网方面开始行动起来了,但是具有创新力的.灵活的初创公司在这个迅速扩大的市场并不输于大厂商. 从帮助消费者让他们的日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Pgrb.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;三无&rdquo;比特币，命运早已注定</a>
					<div>
						近期比特币在国内风光无限,价格一直处于小幅增长,而在搞笑式的&quot;中国大妈&quot;参与后,比特币终于在11月疯狂大涨--11月19日比特币兑换人民币最高成交价达8000元人民币,较今年年初时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl8Xvp.html" rel="bookmark" class="title">宝宝皮肤敏感，妈妈患上洗衣恐惧症</a>
					<div>
						&quot;虽然小孩才一岁,但皮肤却比同岁的小宝宝敏感,稍微一受刺激就会起红疹,晚上痒起来就哭闹个不停.所以他身上的衣服每天都要换两.三遍,而且只能用手洗,害的我这个妈妈都快患上了洗衣恐惧症了-&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnV33p.html" rel="bookmark" class="title">jquery实现简单的二级导航下拉菜单效果&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现简单的二级导航下拉菜单效果.分享给大家供大家参考.具体如下: jQuery代码实现的二级导航菜单效果,非常简洁,喜欢简洁风格的朋友您可以下载哦.菜单最多支持两级,CSS的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvGwmb.html" rel="bookmark" class="title">Ping&plus;&plus;通过PCI DSS认证，保护企业用户信息安全</a>
					<div>
						今日,聚合支付系统服务商Ping++宣布已顺利通过PCI DSS(Payment Card Industry Data Security Standard)V3.1版本的合规评估,获得由支付产业安全标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPwo6p.html" rel="bookmark" class="title">曝中国球员新加坡赌球猖狂生活淫乱翻墙寻欢</a>
					<div>
						在新加坡参加过联赛的中国球队一共有两支,分别是新麒和广原.王鑫的广原队因在2007年打假球东窗事发,实际上在他们之前的新麒队也并不干净.新麒总经理王津辉在回忆当时的比赛时仍然很生气,&quot;咱们有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YkE6p.html" rel="bookmark" class="title">小议创新工场的创新</a>
					<div>
						一.Quora和知乎 Quora是一个社会化问答平台,由Facebook的两位员工 Adam D'Angelo和Charlie Cheever在2009年6月创立,2010年1月首次发布测试邀请版.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWDW6p.html" rel="bookmark" class="title">投资美国危与机</a>
					<div>
						口述/张大年 顾 维 文字整理/本刊记者 李 斌 尽管美国受到了金融危机的重创,但美国企业的管理体制.经营优势犹存.看准市场.规避风险,投资美国不是没有机会 2008年9月,源自美国的全球性金融危机爆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWeG5z.html" rel="bookmark" class="title">Facebook公司传奇的轰动效应</a>
					<div>
						新华社纽约5月17日专电(记者乔继红牛海荣) 自今年2月初美国著名社交网站脸谱(Facebook)公司向美国证券交易委员会提交首次公开募股(IPO)文件起,与其IPO相关的新闻就没有间断过,各个角度, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
